summary refs log tree commit diff
diff options
context:
space:
mode:
authorFranck Cuny <franck.cuny@gmail.com>2016-11-12 07:11:39 -0800
committerFranck Cuny <franck.cuny@gmail.com>2016-11-12 07:11:39 -0800
commit2c25be776fd76c2e0b2ea036964373a201cb3733 (patch)
tree3a61c2f0bcc15e89843e688ecd0a2202b56cb65a
parent[Emacs] Add docstring and update some settings. (diff)
downloademacs.d-2c25be776fd76c2e0b2ea036964373a201cb3733.tar.gz
[bin] Add a script to update Emacs.
Diffstat (limited to '')
-rwxr-xr-xbin/update-emacs8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/update-emacs b/bin/update-emacs
new file mode 100755
index 0000000..8f3a932
--- /dev/null
+++ b/bin/update-emacs
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+if [ $(uname) != "Darwin" ]; then
+  echo "This script only works for OS X."
+  exit 1
+fi
+
+brew upgrade emacs --HEAD